Subject: Re: Reusing dead shell buffers

From: Chong Yidong <[email-masked]>
Date: Sat, 10 Apr 2010 15:26:56 -0400

> Just a tiny patch for shell.
>
> The patch assumes that the person launching M-xshell while in a
> shell-mode buffer with a terminated process really wants to launch a
> shell process in the current buffer instead to switch to "*shell*".
>
> The semantics of C-uM-xshell are not changed by the patch.

Could you explain why you think this is necessary?  The current
behavior, where M-x shell reuses the *shell* buffer, seems fine.